/*==============================
CTAボタン
==============================*/

/*　PC
---------------------------*/
.cta-btn {
  position: relative;
  max-width: 695px;
  height: auto;
  margin: 0 auto;
  padding: 0;
  text-align: center;
}

.cta-btn-image {
  position: absolute;
  top: 0;
  left: 51%;
  transform: translate(-100%, 13%);

  -webkit-transform: translate(-100%, 13%);
  -ms-transform: translate(-100%, 13%);
}

.cta-btn-image img {
  width: 195%;
  height: auto;
}

/*　タブレット
---------------------------*/
@media screen and (min-width: 750px) and (max-width: 800px) {
  .cta-btn {
    position: relative;
    max-width: 960px;
    height: auto;
    margin: 0 auto;
    padding: 0;
    text-align: center;
  }
  .cta-btn-image {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-80%, -120%);

    -webkit-transform: translate(-80%, -120%);
    -ms-transform: translate(-80%, -120%);
  }
  .cta-btn-image img {
    width: 160%;
    height: auto;
  }
}

/*　スマホ
---------------------------*/
@media screen and (max-width: 750px) {
  .cta-btn {
    position: relative;
    max-width: 960px;
    height: auto;
    margin: 0 auto;
    padding: 0;
    text-align: center;
  }
  .cta-btn-image {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-80%, -125%);

    -webkit-transform: translate(-80%, -125%);
    -ms-transform: translate(-80%, -125%);
  }
  .cta-btn-image img {
    width: 160%;
    height: auto;
  }
}

/*==============================
フッター固定バナーボタン
==============================*/

.fixed-button {
  visibility: hidden;
  /*デフォルトで非表示にする*/
  opacity: 0;
  position: fixed;
  top: 95%;
  left: 83%;
  transform: translate(-50%, -50%);
  width: 100%;
  padding: 10px;
  cursor: pointer;
  transition: 0.3s;
}

.fixed-button {
  max-width: 270px;
  margin: 0 auto;
  padding: 15px 0 0 0;
  text-align: center;
}

.fixed-button img {
  width: 270px;
}

@media screen and (min-width: 1020px) and (max-width: 1281px) {
  .fixed-button {
    visibility: hidden;
    /*デフォルトで非表示にする*/
    opacity: 0;
    position: fixed;
    top: 94.5%;
    left: 80%;
    transform: translate(-50%, -50%);
    width: 100%;
    padding: 10px;
    cursor: pointer;
    transition: 0.3s;
  }

  .fixed-button {
    max-width: 270px;
    margin: 0 auto;
    padding: 15px 0 0 0;
    text-align: center;
  }

  .fixed-button img {
    width: 270px;
  }
}

@media screen and (min-width: 768px) and (max-width: 1019px) {
  .fixed-button {
    visibility: hidden;
    /*デフォルトで非表示にする*/
    opacity: 0;
    position: fixed;
    top: 93%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 100%;
    padding: 10px;
    cursor: pointer;
    transition: 0.3s;
  }

  .fixed-button {
    max-width: 100%;
    margin: 0 auto;
    padding: 15px 0 0 0;
    text-align: center;
  }

  .fixed-button img {
    width: 50%;
  }
}
@media screen and (max-width: 750px) {
  .fixed-button {
    visibility: hidden;
    /*デフォルトで非表示にする*/
    opacity: 0;
    position: fixed;
    top: 94.5%;
    left: 48%;
    transform: translate(-60%, -60%);
    width: 75%;
    padding: 10px;
    cursor: pointer;
    transition: 0.3s;
  }
  .fixed-button {
    max-width: 1800px;
    margin: 0 auto;
    padding: 15px 0 0 0;
    text-align: center;
  }
  .fixed-button img {
    width: 100%;
  }
}

@media screen and (max-width: 320px) {
  .fixed-button {
    visibility: hidden;
    /*デフォルトで非表示にする*/
    opacity: 0;
    position: fixed;
    top: 92%;
    left: 46%;
    transform: translate(-60%, -60%);
    width: 75%;
    padding: 10px;
    cursor: pointer;
    transition: 0.3s;
  }
  .fixed-button {
    max-width: 1800px;
    margin: 0 auto;
    padding: 15px 0 0 0;
    text-align: center;
  }
  .fixed-button img {
    width: 95%;
  }
}

/*このクラスが付与されると表示する*/

.active {
  visibility: visible;
  opacity: 1;
}

/*==============================
ボタン1
==============================*/

.btn-1 {
  position: static;
  max-width: 960px;
  height: auto;
  margin: 0 auto;
  padding: 0 0;
  text-align: center;
}

.btn-1-image {
  position: static;
}

.btn-1-image img {
  width: 100%;
  height: auto;
}

@media screen and (min-width: 768px) and (max-width: 1023px) {
  .btn-1 {
    position: relative;
    max-width: 960px;
    height: auto;
    margin: 0 auto;
    padding: 0;
    text-align: center;
  }
  .btn-1-image {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-90%, -120%);

    -webkit-transform: translate(-90%, -120%);
    -ms-transform: translate(-90%, -120%);
  }
  .btn-1-image img {
    width: 180%;
    height: auto;
  }
}

@media screen and (max-width: 767px) {
  .btn-1 {
    position: relative;
    max-width: 960px;
    height: auto;
    margin: 0 auto;
    padding: 0;
    text-align: center;
  }
  .btn-1-image {
    position: absolute;
    top: -100%;
    left: 50%;
    transform: translate(-90%, -100%);

    -webkit-transform: translate(-90%, -100%);
    -ms-transform: translate(-90%, -100%);
  }
  .btn-1-image img {
    width: 180%;
    height: auto;
  }
}

/*============================
サンクスボタン
=============================*/

/*まずはお決まりのボックスサイズ算出をborer-boxに */

.btn-tahnks-warpper {
  margin: 0 auto;
  text-align: center;
}

.btn-tahnks,
a.btn-tahnks,
button.btn-tahnks {
  display: inline-block;
  position: relative;
  width: 40%;
  margin: 0 auto;
  padding: 1.2rem 1.2rem;
  border-radius: 2rem;
  color: #ffffff;
  font-weight: 700;
  font-size: 1rem;
  line-height: 1.5;
  letter-spacing: 0.1em;
  text-decoration: none;
  text-align: center;
  vertical-align: middle;
  cursor: pointer;
  transition: all 0.3s;

  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
  -webkit-transition: all 0.3s;
}

/*その他と主な共通部分は省略*/

a.btn-radius-solid {
  /* border: 1px solid #243dff; */
  /* -webkit-box-shadow: inset 1px 1px 1px #243DFF;
  box-shadow: inset 1px 1px 1px #243DFF; */
  /* box-shadow: 0 .2rem .9rem hsl(0 0% 0% / 20%); */
  background: #004190;
  background: linear-gradient(to bottom, #3b86e1 0%, #004190 100%);
}

a.btn-radius-solid:hover {
  background: linear-gradient(to top, #3b86e1 0%, #004190 100%);
}

@media screen and (max-width: 767px) {
  .btn-tahnks,
  a.btn-tahnks,
  button.btn-tahnks {
    width: 85%;
    padding: 1.2rem 1.2rem;
    border-radius: 1rem;
  }
}

/*==============================
パルスボタン
==============================*/

.pulse-btn::before,
.pulse-btn::after {
  position: absolute;
  top: 0;
  right: 0;
  bottom: 20%;
  left: 40%;
  width: 90%;
  height: 50%;
  margin: auto;
  border: 1px solid #f29d1d;
  border-radius: 120px;
  box-sizing: border-box;
  box-shadow: 0 0 10px rgb(210, 172, 3) inset;
  content: "";
  animation: pulsate 3s linear infinite;
  pointer-events: none;

  -webkit-animation: pulsate 3s linear infinite;
}

.pulse-btn::after {
  animation-delay: 1s;

  -webkit-animation-delay: 1s;
}

/* ボタンの波紋が広がっていくアニメーション */

@-webkit-keyframes pulsate {
  0% {
    opacity: 1;
    transform: scale(1);
  }
  100% {
    opacity: 0;
    transform: scale(2);
  }
}

@keyframes pulsate {
  0% {
    opacity: 1;
    transform: scale(1);
  }
  100% {
    opacity: 0;
    transform: scale(2);
  }
}

/* タブレット */

@media screen and (min-width: 768px) and (max-width: 1023px) {
  .pulse-btn::before,
  .pulse-btn::after {
    position: absolute;
    top: 0;
    right: 0;
    bottom: 20%;
    left: 40%;
    width: 80%;
    height: 50%;
    margin: auto;
    border: 1px solid #e6bd7f;
    border-radius: 120px;
    box-sizing: border-box;
    box-shadow: 0 0 10px rgb(210, 172, 3) inset;
    content: "";
    animation: pulsate 3s linear infinite;
    pointer-events: none;

    -webkit-animation: pulsate 3s linear infinite;
  }
  .pulse-btn::after {
    animation-delay: 1s;

    -webkit-animation-delay: 1s;
  }
  /* ボタンの波紋が広がっていくアニメーション */
  @-webkit-keyframes pulsate {
    0% {
      opacity: 1;
      transform: scale(1);
    }
    100% {
      opacity: 0;
      transform: scale(2);
    }
  }
  @keyframes pulsate {
    0% {
      opacity: 1;
      transform: scale(1);
    }
    100% {
      opacity: 0;
      transform: scale(2);
    }
  }
}

/* スマホ */

@media screen and (max-width: 767px) {
  .pulse-btn::before,
  .pulse-btn::after {
    position: absolute;
    top: 0;
    right: 0;
    bottom: 20%;
    left: 40%;
    width: 80%;
    height: 50%;
    margin: auto;
    border: 1px solid #e6bd7f;
    border-radius: 120px;
    box-sizing: border-box;
    box-shadow: 0 0 10px rgb(210, 172, 3) inset;
    content: "";
    animation: pulsate 3s linear infinite;
    pointer-events: none;

    -webkit-animation: pulsate 3s linear infinite;
  }
  .pulse-btn::after {
    animation-delay: 1s;

    -webkit-animation-delay: 1s;
  }
  /* ボタンの波紋が広がっていくアニメーション */
  @-webkit-keyframes pulsate {
    0% {
      opacity: 1;
      transform: scale(1);
    }
    100% {
      opacity: 0;
      transform: scale(2);
    }
  }
  @keyframes pulsate {
    0% {
      opacity: 1;
      transform: scale(1);
    }
    100% {
      opacity: 0;
      transform: scale(2);
    }
  }
}
